VARKON Version 1.18 2004-08-03

> ## sort_mesh - Procedure

> Sort mesh faces
> Description
> Returns an array of indexes to mesh faces sorted with respect to their largest X, Y or Z-coordinate. The three vertices of each face are compared to find the vertex with the largest coordinate. These vertices are then sorted in increasing order and the indexes of their faces returned. For each face it's max and min coordinate is also computed. Sorting and max/min calculation is done relative to theVARKON BASIC coordinate system.
> Syntax
> getvertex(id, dir, facelist, min, max)

> REF | id;
> STRING | dir;
> INT | facelist(n_faces);
> FLOAT | min(n_faces);
> FLOAT | max(n_faces);

> Principal parameters

> id | - Global identity of a mesh
> dir | - "X", "Y" or "Z"
> facelist | - Array of integers to recieve the indexes of the faces sorted
> min | - Array of floats to recieve the min values
> max | - Array of floats to recieve the max values

> Optional parameters

> None. |

VARKON Homepage | Index